
/*
 * burton rosenberg
 * july 2004
 */

import java.io.* ;

class PlayfairOutputStream {

    final static int GPS_PER_LINE = 10 ;
    final static int CHAR_PER_GROUP = 5 ;

    int charsPerGroup  ;
    int gpsPerLine ;

    int charCnt ;
    int groupCnt ;

    public PlayfairOutputStream( int cpg, int gpl ) {
       charsPerGroup = cpg ;
       gpsPerLine = gpl ;
    }

    public PlayfairOutputStream( ) {
       this( CHAR_PER_GROUP, GPS_PER_LINE ) ;
    }

    void putChar(char c) {
      System.out.print(c) ;
      charCnt++ ;
      if ( charCnt%charsPerGroup == 0 ) { 
         System.out.print(" ") ; 
         groupCnt++ ;
         if ( groupCnt%gpsPerLine == 0 ) {
            System.out.println() ;
         }
      }
    }

    void close() {
      System.out.println() ;
    }

}


